#
# spec file for package gnome-todo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 Bjørn Lie, Bryne, Norway.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-todo
Version:        3.20.2
Release:        6.2
Summary:        Personal task manager for GNOME
License:        GPL-3.0+
Group:          Productivity/Text/Editors
Url:            https://git.gnome.org/browse/gnome-todo/
Source0:        http://download.gnome.org/sources/gnome-todo/3.20/%{name}-%{version}.tar.xz
BuildRequires:  gobject-introspection-devel >= 1.42.0
# PATCH-FIX-UPSTREAM gnome-todo-dont-free-data-early.patch bgo#768319 bnc#1021815 aplazas@suse.com
Patch0:         gnome-todo-dont-free-data-early.patch
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gio-2.0) >= 2.43.4
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.4
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.5
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libedataserverui-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libical) >= 0.43
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.17
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package -n typelib-1_0-Gtd-1_0
Summary:        Personal task manager for GNOME -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Gtd-1_0
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package devel
Summary:        Personal task manager for GNOME -- Development files
Group:          Development/Languages/C and C++

%description devel
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%lang_package
%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%suse_update_desktop_file org.gnome.Todo
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS
%{_bindir}/%{name}
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.Todo.appdata.xml
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.todo.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo*

%files lang -f %{name}.lang

%files -n typelib-1_0-Gtd-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Gtd-1.0.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/Gtd-1.0.gir
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/gnome-todo.pc

%changelog
* Wed Jan 25 2017 adrien.plazas@suse.com
- Add patch gnome-todo-dont-free-data-early.patch to avoid a crash
  when closing a task's detailed view. (bgo#768319, bnc#1021815)
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Small code cleanups.
  + Fix Scheduled and Today panels' misbehavior.
  + Updated translations.
* Tue Apr 26 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Fixed unstranslated string.
  + Fix translations not being applied.
  + Updated translations.
* Tue Mar 22 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Updated translations.
* Thu Mar  3 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Consistently use To Do naming.
  + Also consider creation date when sorting tasks.
  + Make EDS an embedded plugin.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.90:
  + Improved documentation for the plugin API.
  + Ignore casefolding when sorting tasks & lists.
  + Fix Scheduled headers and translations.
  + Improved Scheduled panel.
  + Updated translations.
* Mon Feb  1 2016 dimstar@opensuse.org
- Update to version 3.19.5:
  + Vastly improve the plugin system.
  + Add kudos information in AppData.
  + Adapt icon names to use the application id.
  + Many code cleanups and fixes.
- Changes from version 3.19.4:
  + Add a plugin subsystem.
  + Add list-based tasklist selector.
  + Port to use CSS names.
  + Updated translations.
- Add gobject-introspection-devel and pkgconfig(libpeas-1.0)
  BuildRequires: new dependencies.
- Create new subpackages typelib-1_0-Gtd-1_0 and gnome-todo-devel.
* Wed Oct 14 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Fix 256x256 icons being installed as 512x512.
  + Add a symbolic variant.
  + Install a DBus service file.
  + Wrap notes text.
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 zaitor@opensuse.org
- Update to version 3.17.92:
  + Updated translations.
* Wed Sep  2 2015 dimstar@opensuse.org
- Update to version 3.17.91:
  + Add selection mode, which allows renaming and removing lists.
  + Add a "Clear completed tasks..." item in gear menu.
  + Update build system.
  + Lots of bugfixes and cleanups.
  + Updated translations.
* Thu Jul 23 2015 zaitor@opensuse.org
- Initial build, version 3.17.4.
